Subject: Re: bug#18600: 24.3.94; EWW fails to check https certificates

From: Stefan Monnier <[email-masked]>
Date: Sat, 04 Oct 2014 22:00:27 -0400

> With these in mind, I have two recommendations:
> * I believe that eww https should check certificates by default in 24.4,
>   even though other tls connections are tolerant by default.
> * At minimum, it should be possible to enable certificate checking for
>   eww https connections while still allowing self-signed certificates
>   for other uses of 'open-gnutls-stream' such as imaps and smtps.  This
>   is fairly common case.

I think it's too late to do that for Emacs-24.4.  But we should apply
such a change to `emacs-24' after the 24.4 release, so that it will be
included in the next release regardless if the next release is 25.1 or
a 24.5 bugfix.

        Stefan